<?php
function wtd_designer_art_list_main(){
  if ( class_exists('Woocommerce') ) {
    global $wpdb;
    $upload_dir = wtd_get_upload_dir();
    
    if( isset($_GET['post']) && $_GET['post'] == 'wtd_add_new_art' ){
      wtd_add_new_art_html( $upload_dir );
    }
    elseif( isset($_GET['post']) && $_GET['post'] == 'wtd_custom_art_add' && isset($_POST['wtd_submit']) ) {
      $art_url = str_replace( $upload_dir['baseurl'],'',$_POST['wtd_art_upload_url'] );
      $wtdSaveArt = array(
                        'art_url'=>$art_url
      );
      if( $_POST['wtd_art_upload_url'] ){
        $id = $wpdb->insert( $wpdb->prefix."wtd_art_list",$wtdSaveArt );
	  
        if( $id == 1 ){
          wtd_designer_art_list_html( $upload_dir );
        }
        else{
          echo '<div class="updated below-h2" id="message"><p>'.__('Please try again', 'wctd').'.</p></div>';
          wtd_add_new_art_html( $upload_dir );
        }
      }
      else{
        echo '<div class="updated below-h2" id="message"><p>'.__('Please choose your image', 'wctd').'.</p></div>';
        wtd_add_new_art_html( $upload_dir );
      }
    }
    else{
      wtd_designer_art_list_html( $upload_dir );
    }
  }
  else{
    echo '<div class="not_active_plugin">'.__('Please install woocommerce plugin', 'wctd').'</div>';
  }
}

function wtd_designer_art_list_html( $upload_dir ){
  global $wpdb,$title;
 
  $pagenum = isset( $_GET['pagenum'] ) ? absint( $_GET['pagenum'] ) : 1;
  $limit = 30;
  $offset = ( $pagenum - 1 ) * $limit;
  $entries = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}wtd_art_list ORDER BY {$wpdb->prefix}wtd_art_list.id DESC  LIMIT $offset, $limit" );

  echo '<div class="wrap">';
?>
  <form action="" name="wtd_art_save" id="wtd_art_save" method="post" >
  <p>
      <a href="admin.php?page=wtd_designer_art_list_slug&post=wtd_add_new_art"><input type="button" name="wtd_add_art" value="<?php echo _e('Add New Art', 'wctd');?>" style=" width:100px;" class="button-primary" id="wtd_add_art"></a>
  </p>
  <h2 class="wtd_art_list_title"><?php echo $title;?></h2>
  <table class="widefat wtd_tbl_art_list">
    <thead>
      <tr>
        <th scope="col" class="manage-column column-name" ><?php echo _e('Image', 'wctd');?></th>
        <th scope="col" class="manage-column column-name" style="text-align:center;"><?php echo _e('Delete', 'wctd');?></th>
      </tr>
    </thead>

    <tfoot>
      <tr>
        <th scope="col" class="manage-column column-name"><?php echo _e('Image', 'wctd');?></th>
        <th scope="col" class="manage-column column-name" style="text-align:center;"><?php echo _e('Delete', 'wctd');?></th>
      </tr>
    </tfoot>

    <tbody>
      <?php
      if( $entries ) {
      $count = 1;
      $class = '';
      foreach( $entries as $entrys ) {
          $class = ( $count % 2 == 0 ) ? ' class="alternate"' : '';
      ?>

      <tr<?php echo $class; ?>>
          <td><img src="<?php echo $upload_dir['baseurl'].$entrys->art_url;?>" name="img_<?php echo $entrys->id;?>" id="img_<?php echo $entrys->id;?>" alt="<?php echo $entrys->id;?>"height="30"/></td>
          <td style="text-align:center;"><a class="wtd_custom_art" id="<?php echo $entrys->id;?>" href=""><img src="<?php echo WTD_URL.'/images/trash.png';?>" name="del_img" id="<?php echo $entrys->id;?>" alt="delete_img" width="18" height="18"/></a>
          </td> 
      </tr>

      <?php
          $count++;
      }
      ?>

  <?php } else { ?>
    <tr>
        <td colspan="2"><?php echo _e('No art yet', 'wctd');?></td>
    </tr>
  <?php } ?>
    </tbody>
  </table>
  </form>
<input type="hidden" name="wtd_plugin_url" id="wtd_plugin_url" value="<?php echo WTD_URL;?>"/>
<div class="wtd_text_msg_admin">
  <div class="wtd_admin_popup_title">
    <div class="wtd_no_text_title_admin"></div>
    <div class="wtd_admin_loader_in_popup"></div>
  </div>
  <div class="wtd_no_text_msg_content_admin"></div>
  <div class="wtd_confirmation_msg_button_div">
    <div class="wtd_admin_confirmation_msg_ok_button"><div class="wtd_art_delete_yes_icon"></div></div>
    <div class="wtd_admin_confirmation_msg_cancel_button"><div class="wtd_art_delete_no_icon"></div></div>
  </div>
</div>
<div class="wtd_overlay"></div>
<?php
  $total = $wpdb->get_var( "SELECT count({$wpdb->prefix}wtd_art_list.id) FROM {$wpdb->prefix}wtd_art_list" );
  $num_of_pages = ceil( $total / $limit );
  $page_links = paginate_links( array(
      'base'      => esc_url_raw( add_query_arg( 'pagenum', '%#%', remove_query_arg( 'pagenum' ) ) ),
      'format' => '',
      'prev_text' => __( '&laquo;', 'aag' ),
      'next_text' => __( '&raquo;', 'aag' ),
      'total' => $num_of_pages,
      'current' => $pagenum
  ));
 
  if ( $page_links ) {
      echo '<div class="tablenav"><div class="tablenav-pages" style="margin: 1em 0">' . $page_links . '</div></div>';
  }
  echo '</div>';
}

function wtd_add_new_art_html( $upload_dir ){
  wp_enqueue_media();
  global $title,$wpdb;
?>
<script type="text/javascript">	
jQuery(document).ready(function(){
  var custom_uploader;
  jQuery('#wtd_art_uploader').click(function(e) {
    e.preventDefault();
    custom_uploader = wp.media.frames.file_frame = wp.media({
        title: 'Choose Image',
        button: {
            text: 'Choose Image'
        },
        multiple: false
    });
    custom_uploader.on('select', function() {
      var attachment = custom_uploader.state().get('selection').first().toJSON();
      if(attachment.url){
        jQuery('#wtd_art_upload_url').val(attachment.url);
      }
    });
    custom_uploader.open();
  });
});
</script>
<div class="wrap">
  <div id="poststuff" class="metabox-holder has-right-sidebar">
    <div id="post-body"><div id="post-body-content">
    <div class="_top"></div>
      <div id="namediv" class="stuffbox">
      <h3 class="top_bar_text"><?php echo _e('Custom Art Upload', 'wctd');?></h3>
      <div class="inside">
        <form method="post" action="admin.php?page=wtd_designer_art_list_slug&post=wtd_custom_art_add" name="art_add" enctype="multipart/form-data">
          <table class="form-table">
            <tbody>
              <tr valign="top">
                <th scope="row">
                  <label for="title"><?php echo _e('Upload Your Art', 'wctd');?></label>
                </th>
                <td>
                  <input type="text" readonly="true" name="wtd_art_upload_url" id="wtd_art_upload_url"  style="width:200px;"/>  
                  <span><input id="wtd_art_uploader" name="wtd_art_uploader" class="button-primary" style="width:80px; cursor:pointer;" type="button" value="<?php echo _e('Browse', 'wctd');?>" /></span>
                </td>
              </tr>
            </tbody>
          </table>
          <p class="submit">
              <input id="wtd_submit" class="button-primary" style=" width:100px; float:right;"  type="submit" value="<?php echo _e('Save', 'wctd');?>" name="wtd_submit">
          </p>
        </form>	
      </div>
      </div>
    </div>
    </div>
  </div>
</div>
<?php
}
?>