<?php
function wtd_designer_settings_main(){
  if ( class_exists('Woocommerce') ) {
    if( isset($_GET['post']) && $_GET['post'] === 'wtd_global_settings' ){
      $updateSettings = array(
                              'help_text' =>                   stripslashes(htmlentities($_POST['wtd_editor'])),
                              'cost_text'=>                    stripslashes(htmlentities($_POST['wtd_cost_textarea'])),
                              'bg_color_start' =>              $_POST['bg_color_top'],
                              'bg_color_end' =>                $_POST['bg_color_bottom'],
                              'content_color_start' =>         $_POST['content_color_top'],
                              'content_color_end' =>           $_POST['content_color_bottom'],
                              'menu_default_color' =>          '',
                              'menu_default_text_color' =>     $_POST['menu_default_text_color'],
                              'menu_selected_color' =>         $_POST['menu_selected_color'],
                              'menu_selected_text_color' =>    $_POST['menu_selected_text_color'],
                              'menu_border_color' =>           $_POST['menu_border_color'],
                              'product_selected_color' =>      $_POST['product_selected_color'],
                              'content_text_color' =>          $_POST['content_text_color'],
                              'content_text_border_color' =>   $_POST['content_text_border_color'],
                              'content_font_family' =>         '',
                              'btn_bg_color_start' =>          $_POST['btn_start_color'],
                              'btn_bg_color_end' =>            $_POST['btn_end_color'],
                              'btn_border_color' =>            $_POST['btn_border_color'],
                              'btn_border_radius' =>           $_POST['btn_border_radius'],
                              'btn_font_size' =>               $_POST['btn_font_size'],
                              'btn_font_family' =>             $_POST['wtd_change_font_name_btn'],
                              'btn_padding_top' =>             $_POST['btn_padding_top'],
                              'btn_padding_bottom' =>          $_POST['btn_padding_bottom'],
                              'btn_padding_left' =>            $_POST['btn_padding_left'],
                              'btn_padding_right' =>           $_POST['btn_padding_right'],
                              'btn_text_color' =>              $_POST['btn_text_color'],
                              'btn_bg_color_start_hover' =>    $_POST['btn_start_color_hover'],
                              'btn_bg_color_end_hover' =>      $_POST['btn_end_color_hover'],
                              'btn_border_color_hover' =>      $_POST['btn_border_color_hover'],
                              'btn_text_color_hover' =>        $_POST['btn_text_color_hover']
      );
      update_option( 'wtd_settings_data', $updateSettings );
      wtd_settings_html();
    }
    else{
      wtd_settings_html();
    }
  }
  else{
    echo '<div class="not_active_plugin">'. __('Please install woocommerce plugin', 'wctd'). '</div>';
  }
}

function wtd_settings_html(){
  //load fonts
  $dir = WTD_DIR_PATH.'fonts/';
  $fontArray=array();
  $strFont='';
  $i=0;
  
  if (is_dir($dir)) {
    if ($dh = opendir($dir)) {
      while (($file = readdir($dh)) !== false) {
        if (!in_array($file, array('.', '..'))){
          $fontArray[$i]= $file;
          $parseExtraFont=  explode('.ttf', strtolower($file));
          $strFont .=$parseExtraFont[0] .',';
          $i++;
        }
      }
      closedir($dh);
    }
  }
  
  $settings = get_option( 'wtd_settings_data' );
?>
<style type="text/css">
  <?php foreach ($fontArray as $file){ $parseFont=  explode('.ttf', strtolower($file));?>
  @font-face 
  {
      font-family:<?php echo $parseFont[0];?>; src: url('<?php echo WTD_URL;?>/fonts/<?php echo $file?>');
  }
  <?php }?>
</style>
<form method="post" action="admin.php?page=wtd_designer_settings_slug&post=wtd_global_settings" name="global_settings" enctype="multipart/form-data">
  <div class="wtd_admin_settings_panel">
    <div class="wtd_admin_settings_panel_text"><?php echo _e('Color Settings', 'wctd');?></div>
  </div>
  <table class="wtd_tbl_color_settings">
    <tr>
      <td><?php echo _e('Background Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="bg_color_top" name="bg_color_top" value="<?php echo $settings['bg_color_start'];?>"/>&nbsp;(<?php echo _e('Start Color', 'wctd'); ?>)</td>
      <td>&nbsp;&nbsp;&nbsp;<input type="text" class="color" id="bg_color_bottom" name="bg_color_bottom" value="<?php echo $settings['bg_color_end'];?>"/>&nbsp;(<?php echo _e('End Color', 'wctd'); ?>)</td>
    </tr>
    <tr>
      <td><?php echo _e('Content Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="content_color_top" name="content_color_top" value="<?php echo $settings['content_color_start'];?>"/>&nbsp;(<?php echo _e('Start Color', 'wctd');?>)</td>
      <td>&nbsp;&nbsp;&nbsp;<input type="text" class="color" id="content_color_bottom" name="content_color_bottom" value="<?php echo $settings['content_color_end'];?>"/>&nbsp;(<?php echo _e('End Color', 'wctd');?>)</td>
    </tr>
<!--    <tr>
      <td>Menu Default Color:</td>
      <td><input type="text" class="color" id="menu_default_color" name="menu_default_color" value="<?php echo $settings['menu_default_color'];?>"/></td>
    </tr>-->
    <tr>
      <td><?php echo _e('Menu Default Text Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="menu_default_text_color" name="menu_default_text_color" value="<?php echo $settings['menu_default_text_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Menu Selected Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="menu_selected_color" name="menu_selected_color" value="<?php echo $settings['menu_selected_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Menu Selected Text Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="menu_selected_text_color" name="menu_selected_text_color" value="<?php echo $settings['menu_selected_text_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Menu Border Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="menu_border_color" name="menu_border_color" value="<?php echo $settings['menu_border_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Product Selected Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="product_selected_color" name="product_selected_color" value="<?php echo $settings['product_selected_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Content Text Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="content_text_color" name="content_text_color" value="<?php echo $settings['content_text_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Content Text Border Color', 'wctd');?>:</td>
      <td><input type="text" class="color" id="content_text_border_color" name="content_text_border_color" value="<?php echo $settings['content_text_border_color'];?>"/></td>
    </tr>
  </table>
  <div class="wtd_admin_settings_panel">
    <div class="wtd_admin_settings_panel_text"><?php echo _e('Button Settings', 'wctd');?></div>
  </div>
  <table class="wtd_tbl_button_settings">
    <tr>
      <td><?php echo _e('Background Gradient Start Color', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_start_color" id="btn_start_color" value="<?php echo $settings['btn_bg_color_start'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Background Gradient End Color', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_end_color" id="btn_end_color" value="<?php echo $settings['btn_bg_color_end'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Border Color', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_border_color" id="btn_border_color" value="<?php echo $settings['btn_border_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Border Radius', 'wctd');?>:</td>
      <td><input type="number" name="btn_border_radius" id="btn_border_radius" value="<?php echo $settings['btn_border_radius'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Font Size', 'wctd');?>:</td>
      <td><input type="number" name="btn_font_size" id="btn_font_size" value="<?php echo $settings['btn_font_size'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Font Family', 'wctd');?>:</td>
      <td>
        <select name="wtd_change_font_name_btn" id="wtd_change_font_name_btn">
          <?php 
          foreach ($fontArray as $fontName){
          $parseFontName=  explode('.ttf', strtolower($fontName));
          if( $parseFontName[0] == $settings['btn_font_family'] ){
            $selected ='selected="selected"';
          }
          else{
            $selected ='';
          }
          ?>
          <option <?php echo $selected; ?> style="font-family:<?php echo $parseFontName[0];?>;" value="<?php echo $parseFontName[0];?>"><?php echo ucfirst($parseFontName[0]);?></option>
          <?php }?>
        </select>
      </td>
    </tr>
    <tr>
      <td><?php echo _e('Padding Top', 'wctd');?>:</td>
      <td><input type="number" name="btn_padding_top" id="btn_padding_top" value="<?php echo $settings['btn_padding_top'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Padding Bottom', 'wctd');?>:</td>
      <td><input type="number" name="btn_padding_bottom" id="btn_padding_bottom" value="<?php echo $settings['btn_padding_bottom'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Padding Left', 'wctd');?>:</td>
      <td><input type="number" name="btn_padding_left" id="btn_padding_left" value="<?php echo $settings['btn_padding_left'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Padding Right', 'wctd');?>:</td>
      <td><input type="number" name="btn_padding_right" id="btn_padding_right" value="<?php echo $settings['btn_padding_right'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Text Color', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_text_color" id="btn_text_color" value="<?php echo $settings['btn_text_color'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Background Gradient Start Color(hover)', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_start_color_hover" id="btn_start_color_hover" value="<?php echo $settings['btn_bg_color_start_hover'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Background Gradient End Color(hover)', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_end_color_hover" id="btn_end_color_hover" value="<?php echo $settings['btn_bg_color_end_hover'];?>"/></td>
    </tr>
    <tr>
      <td><?php echo _e('Border Color(hover)', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_border_color_hover" id="btn_border_color_hover" value="<?php echo $settings['btn_border_color_hover'];?>"/></td>
    </tr>    
    <tr>
      <td><?php echo _e('Text Color(hover)', 'wctd');?>:</td>
      <td><input type="text" class="color" name="btn_text_color_hover" id="btn_text_color_hover" value="<?php echo $settings['btn_text_color_hover'];?>"/></td>
    </tr>
  </table>
  <br>
  <div class="wtd_admin_help_text"><?php echo _e('Enter help text', 'wctd');?></div>
  <div class="wtd_admin_help_content">
  <?php 
  $args = array(
      'textarea_rows' => 12,
      'teeny' => true,
      'quicktags' => true,
      'media_buttons' => false
  );
  wp_editor( html_entity_decode( $settings['help_text'] ), 'wtd_editor', $args );
  ?>  
  </div>
  <div class="wtd_cost_text"><?php echo _e('Enter customization cost text', 'wctd');?></div>
  <div class="wtd_cost_text_textarea">
    <textarea rows="2" cols="69" id="wtd_cost_textarea" name="wtd_cost_textarea"><?php echo $settings['cost_text']?></textarea>
  </div>
  <div class="wtd_global_settings_button">
      <input class="button-primary" type="submit" name="global_settings" id="global_settings" value="<?php echo _e('Settings Change', 'wctd');?>"/>
  </div>
</form>
<?php
}
?>